package com.jasamedika.medifirst2000.entities;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "PapThtAnamnesisTenggorokan_T")
public class PapThtAnamnesisTenggorokan extends BaseTransaction {
	@JsonBackReference
	@OneToOne(cascade = CascadeType.ALL)
	@JoinColumn(name = "ObjectPapThtFk")
	@NotNull(message = "PapTht tidak boleh kosong")
	private PapTht papTht;

	@Column(name = "ObjectPapThtFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String papThtId;

	@ManyToOne
	@JoinColumn(name = "ObjectNyeriMenelanFk")
	@NotNull(message = "NyeriMenelan Tidak Boleh Kosong")
	private StatusNormalTidakNormal nyeriMenelan;

	@Column(name = "keteranganNyeriMenelan", nullable = true)
	@Caption(value = "KeteranganNyeriMenelan")
	private String keteranganNyeriMenelan;

	@ManyToOne
	@JoinColumn(name = "ObjectNyeriTenggorokFk")
	@NotNull(message = "NyeriTenggorok Tidak Boleh Kosong")
	private StatusNormalTidakNormal nyeriTenggorok;

	@Column(name = "keteranganNyeriTenggorok", nullable = true)
	@Caption(value = "KeteranganNyeriTenggorok")
	private String keteranganNyeriTenggorok;

	@ManyToOne
	@JoinColumn(name = "ObjectRasaMengganjalDiTenggorokFk")
	@NotNull(message = "RasaMengganjalDiTenggorok Tidak Boleh Kosong")
	private StatusNormalTidakNormal rasaMengganjalDiTenggorok;

	@Column(name = "keteranganRasaMengganjalDiTenggorok", nullable = true)
	@Caption(value = "KeteranganRasaMengganjalDiTenggorok")
	private String keteranganRasaMengganjalDiTenggorok;

	@ManyToOne
	@JoinColumn(name = "ObjectRasaGatalDiTenggorokFk")
	@NotNull(message = "RasaGatalDiTenggorok Tidak Boleh Kosong")
	private StatusNormalTidakNormal rasaGatalDiTenggorok;

	@Column(name = "keteranganRasaGatalDiTenggorok", nullable = true)
	@Caption(value = "KeteranganRasaGatalDiTenggorok")
	private String keteranganRasaGatalDiTenggorok;

	@ManyToOne
	@JoinColumn(name = "ObjectSulitMenelanFk")
	@NotNull(message = "SulitMenelan Tidak Boleh Kosong")
	private StatusNormalTidakNormal sulitMenelan;

	@Column(name = "keteranganSulitMenelan", nullable = true)
	@Caption(value = "KeteranganSulitMenelan")
	private String keteranganSulitMenelan;

	@ManyToOne
	@JoinColumn(name = "ObjectTidakBisaMenelanFk")
	@NotNull(message = "TidakBisaMenelan Tidak Boleh Kosong")
	private StatusNormalTidakNormal tidakBisaMenelan;

	@Column(name = "keteranganTidakBisaMenelan", nullable = true)
	@Caption(value = "KeteranganTidakBisaMenelan")
	private String keteranganTidakBisaMenelan;

	@ManyToOne
	@JoinColumn(name = "ObjectTersedakSaatMakanAtauMinumFk")
	@NotNull(message = "TersedakSaatMakanAtauMinum Tidak Boleh Kosong")
	private StatusNormalTidakNormal tersedakSaatMakanAtauMinum;

	@Column(name = "keteranganTersedakSaatMakanAtauMinum", nullable = true)
	@Caption(value = "KeteranganTersedakSaatMakanAtauMinum")
	private String keteranganTersedakSaatMakanAtauMinum;

	@ManyToOne
	@JoinColumn(name = "ObjectBatukFk")
	@NotNull(message = "Batuk Tidak Boleh Kosong")
	private StatusNormalTidakNormal batuk;

	@Column(name = "keteranganBatuk", nullable = true)
	@Caption(value = "KeteranganBatuk")
	private String keteranganBatuk;

	@ManyToOne
	@JoinColumn(name = "ObjectGangguanBernapasFk")
	@NotNull(message = "GangguanBernapas Tidak Boleh Kosong")
	private StatusNormalTidakNormal gangguanBernapas;

	@Column(name = "keteranganGangguanBernapas", nullable = true)
	@Caption(value = "KeteranganGangguanBernapas")
	private String keteranganGangguanBernapas;

	@ManyToOne
	@JoinColumn(name = "ObjectSuaraSerakFk")
	@NotNull(message = "SuaraSerak Tidak Boleh Kosong")
	private StatusNormalTidakNormal suaraSerak;

	@Column(name = "keteranganSuaraSerak", nullable = true)
	@Caption(value = "KeteranganSuaraSerak")
	private String keteranganSuaraSerak;

	@ManyToOne
	@JoinColumn(name = "ObjectSuaraHilangFk")
	@NotNull(message = "SuaraHilang Tidak Boleh Kosong")
	private StatusNormalTidakNormal suaraHilang;

	@Column(name = "keteranganSuaraHilang", nullable = true)
	@Caption(value = "KeteranganSuaraHilang")
	private String keteranganSuaraHilang;

	@ManyToOne
	@JoinColumn(name = "ObjectSuaraCadelFk")
	@NotNull(message = "SuaraCadel Tidak Boleh Kosong")
	private StatusNormalTidakNormal suaraCadel;

	@Column(name = "keteranganSuaraCadel", nullable = true)
	@Caption(value = "KeteranganSuaraCadel")
	private String keteranganSuaraCadel;

	@ManyToOne
	@JoinColumn(name = "ObjectSuaraSengauFk")
	@NotNull(message = "SuaraSengau Tidak Boleh Kosong")
	private StatusNormalTidakNormal suaraSengau;

	@Column(name = "keteranganSuaraSengau", nullable = true)
	@Caption(value = "KeteranganSuaraSengau")
	private String keteranganSuaraSengau;

	@ManyToOne
	@JoinColumn(name = "ObjectTertelanBendaAsingFk")
	@NotNull(message = "TertelanBendaAsing Tidak Boleh Kosong")
	private StatusNormalTidakNormal tertelanBendaAsing;

	@Column(name = "keteranganTertelanBendaAsing", nullable = true)
	@Caption(value = "KeteranganTertelanBendaAsing")
	private String keteranganTertelanBendaAsing;

	@ManyToOne
	@JoinColumn(name = "ObjectTerhirupBendaAsingFk")
	@NotNull(message = "TerhirupBendaAsing Tidak Boleh Kosong")
	private StatusNormalTidakNormal terhirupBendaAsing;

	@Column(name = "keteranganTerhirupBendaAsing", nullable = true)
	@Caption(value = "KeteranganTerhirupBendaAsing")
	private String keteranganTerhirupBendaAsing;

	@ManyToOne
	@JoinColumn(name = "ObjectSariawanPadaMulutFk")
	@NotNull(message = "SariawanPadaMulut Tidak Boleh Kosong")
	private StatusNormalTidakNormal sariawanPadaMulut;

	@Column(name = "keteranganSariawanPadaMulut", nullable = true)
	@Caption(value = "KeteranganSariawanPadaMulut")
	private String keteranganSariawanPadaMulut;

	@ManyToOne
	@JoinColumn(name = "ObjectSariawanPadaLidahFk")
	@NotNull(message = "SariawanPadaLidah Tidak Boleh Kosong")
	private StatusNormalTidakNormal sariawanPadaLidah;

	@Column(name = "keteranganSariawanPadaLidah", nullable = true)
	@Caption(value = "KeteranganSariawanPadaLidah")
	private String keteranganSariawanPadaLidah;

	@ManyToOne
	@JoinColumn(name = "ObjectSariawanPadaTenggorokFk")
	@NotNull(message = "SariawanPadaTenggorok Tidak Boleh Kosong")
	private StatusNormalTidakNormal sariawanPadaTenggorok;

	@Column(name = "keteranganSariawanPadaTenggorok", nullable = true)
	@Caption(value = "KeteranganSariawanPadaTenggorok")
	private String keteranganSariawanPadaTenggorok;

	@ManyToOne
	@JoinColumn(name = "ObjectMulutBerbauFk")
	@NotNull(message = "MulutBerbau Tidak Boleh Kosong")
	private StatusNormalTidakNormal mulutBerbau;

	@Column(name = "keteranganMulutBerbau", nullable = true)
	@Caption(value = "KeteranganMulutBerbau")
	private String keteranganMulutBerbau;

	@ManyToOne
	@JoinColumn(name = "ObjectKelainanPadaBibirFk")
	@NotNull(message = "KelainanPadaBibir Tidak Boleh Kosong")
	private StatusNormalTidakNormal kelainanPadaBibir;

	@Column(name = "keteranganKelainanPadaBibir", nullable = true)
	@Caption(value = "KeteranganKelainanPadaBibir")
	private String keteranganKelainanPadaBibir;

	@ManyToOne
	@JoinColumn(name = "ObjectKelainanPadaLidahFk")
	@NotNull(message = "KelainanPadaLidah Tidak Boleh Kosong")
	private StatusNormalTidakNormal kelainanPadaLidah;

	@Column(name = "keteranganKelainanPadaLidah", nullable = true)
	@Caption(value = "KeteranganKelainanPadaLidah")
	private String keteranganKelainanPadaLidah;

	@ManyToOne
	@JoinColumn(name = "ObjectKelainanPadaMulutFk")
	@NotNull(message = "KelainanPadaMulut Tidak Boleh Kosong")
	private StatusNormalTidakNormal kelainanPadaMulut;

	@Column(name = "keteranganKelainanPadaMulut", nullable = true)
	@Caption(value = "KeteranganKelainanPadaMulut")
	private String keteranganKelainanPadaMulut;

	@ManyToOne
	@JoinColumn(name = "ObjectBenjolanPadaDaguFk")
	@NotNull(message = "BenjolanPadaDagu Tidak Boleh Kosong")
	private StatusNormalTidakNormal benjolanPadaDagu;

	@Column(name = "keteranganBenjolanPadaDagu", nullable = true)
	@Caption(value = "KeteranganBenjolanPadaDagu")
	private String keteranganBenjolanPadaDagu;

	@ManyToOne
	@JoinColumn(name = "ObjectBenjolanPadaLeherFk")
	@NotNull(message = "BenjolanPadaLeher Tidak Boleh Kosong")
	private StatusNormalTidakNormal benjolanPadaLeher;

	@Column(name = "keteranganBenjolanPadaLeher", nullable = true)
	@Caption(value = "KeteranganBenjolanPadaLeher")
	private String keteranganBenjolanPadaLeher;

	@ManyToOne
	@JoinColumn(name = "ObjectBenjolanPadaMulutFk")
	@NotNull(message = "BenjolanPadaMulut Tidak Boleh Kosong")
	private StatusNormalTidakNormal benjolanPadaMulut;

	@Column(name = "keteranganBenjolanPadaMulut", nullable = true)
	@Caption(value = "KeteranganBenjolanPadaMulut")
	private String keteranganBenjolanPadaMulut;

	@ManyToOne
	@JoinColumn(name = "ObjectKulitLeherAbnormalFk")
	@NotNull(message = "KulitLeherAbnormal Tidak Boleh Kosong")
	private StatusNormalTidakNormal kulitLeherAbnormal;

	@Column(name = "keteranganKulitLeherAbnormal", nullable = true)
	@Caption(value = "KeteranganKulitLeherAbnormal")
	private String keteranganKulitLeherAbnormal;

	@ManyToOne
	@JoinColumn(name = "ObjectBisulPadaDaguFk")
	@NotNull(message = "BisulPadaDagu Tidak Boleh Kosong")
	private StatusNormalTidakNormal bisulPadaDagu;

	@Column(name = "keteranganBisulPadaDagu", nullable = true)
	@Caption(value = "KeteranganBisulPadaDagu")
	private String keteranganBisulPadaDagu;

	@ManyToOne
	@JoinColumn(name = "ObjectBisulPadaLeherFk")
	@NotNull(message = "BisulPadaLeher Tidak Boleh Kosong")
	private StatusNormalTidakNormal bisulPadaLeher;

	@Column(name = "keteranganBisulPadaLeher", nullable = true)
	@Caption(value = "KeteranganBisulPadaLeher")
	private String keteranganBisulPadaLeher;

	@ManyToOne
	@JoinColumn(name = "ObjectTraumaPadaMulutFk")
	@NotNull(message = "TraumaPadaMulut Tidak Boleh Kosong")
	private StatusNormalTidakNormal traumaPadaMulut;

	@Column(name = "keteranganTraumaPadaMulut", nullable = true)
	@Caption(value = "KeteranganTraumaPadaMulut")
	private String keteranganTraumaPadaMulut;

	@ManyToOne
	@JoinColumn(name = "ObjectTraumaPadaLeherFk")
	@NotNull(message = "TraumaPadaLeher Tidak Boleh Kosong")
	private StatusNormalTidakNormal traumaPadaLeher;

	@Column(name = "keteranganTraumaPadaLeher", nullable = true)
	@Caption(value = "KeteranganTraumaPadaLeher")
	private String keteranganTraumaPadaLeher;

	@ManyToOne
	@JoinColumn(name = "ObjectTidurMendengkurFk")
	@NotNull(message = "TidurMendengkur Tidak Boleh Kosong")
	private StatusNormalTidakNormal tidurMendengkur;

	@Column(name = "keteranganTidurMendengkur", nullable = true)
	@Caption(value = "KeteranganTidurMendengkur")
	private String keteranganTidurMendengkur;

	@ManyToOne
	@JoinColumn(name = "ObjectSulitBernapasSaatTidurFk")
	@NotNull(message = "SulitBernapasSaatTidur Tidak Boleh Kosong")
	private StatusNormalTidakNormal sulitBernapasSaatTidur;

	@Column(name = "keteranganSulitBernapasSaatTidur", nullable = true)
	@Caption(value = "KeteranganSulitBernapasSaatTidur")
	private String keteranganSulitBernapasSaatTidur;

	@ManyToOne
	@JoinColumn(name = "ObjectNapasTerhentiSaatTidurFk")
	@NotNull(message = "NapasTerhentiSaatTidur Tidak Boleh Kosong")
	private StatusNormalTidakNormal napasTerhentiSaatTidur;

	@Column(name = "keteranganNapasTerhentiSaatTidur", nullable = true)
	@Caption(value = "KeteranganNapasTerhentiSaatTidur")
	private String keteranganNapasTerhentiSaatTidur;

	@ManyToOne
	@JoinColumn(name = "ObjectMuntahFk")
	@NotNull(message = "Muntah Tidak Boleh Kosong")
	private StatusNormalTidakNormal muntah;

	@Column(name = "keteranganMuntah", nullable = true)
	@Caption(value = "KeteranganMuntah")
	private String keteranganMuntah;

	@ManyToOne
	@JoinColumn(name = "ObjectMuntahDarahFk")
	@NotNull(message = "MuntahDarah Tidak Boleh Kosong")
	private StatusNormalTidakNormal muntahDarah;

	@Column(name = "keteranganMuntahDarah", nullable = true)
	@Caption(value = "KeteranganMuntahDarah")
	private String keteranganMuntahDarah;

	@ManyToOne
	@JoinColumn(name = "ObjectBatukDarahFk")
	@NotNull(message = "BatukDarah Tidak Boleh Kosong")
	private StatusNormalTidakNormal batukDarah;

	@Column(name = "keteranganBatukDarah", nullable = true)
	@Caption(value = "KeteranganBatukDarah")
	private String keteranganBatukDarah;

	@Column(name = "ObjectNyeriMenelanFk", insertable = false, updatable = false, nullable = false)
	private Integer nyeriMenelanId;

	@Column(name = "ObjectNyeriTenggorokFk", insertable = false, updatable = false, nullable = false)
	private Integer nyeriTenggorokId;

	@Column(name = "ObjectRasaMengganjalDiTenggorokFk", insertable = false, updatable = false, nullable = false)
	private Integer rasaMengganjalDiTenggorokId;

	@Column(name = "ObjectRasaGatalDiTenggorokFk", insertable = false, updatable = false, nullable = false)
	private Integer rasaGatalDiTenggorokId;

	@Column(name = "ObjectSulitMenelanFk", insertable = false, updatable = false, nullable = false)
	private Integer sulitMenelanId;

	@Column(name = "ObjectTidakBisaMenelanFk", insertable = false, updatable = false, nullable = false)
	private Integer tidakBisaMenelanId;

	@Column(name = "ObjectTersedakSaatMakanAtauMinumFk", insertable = false, updatable = false, nullable = false)
	private Integer tersedakSaatMakanAtauMinumId;

	@Column(name = "ObjectBatukFk", insertable = false, updatable = false, nullable = false)
	private Integer batukId;

	@Column(name = "ObjectGangguanBernapasFk", insertable = false, updatable = false, nullable = false)
	private Integer gangguanBernapasId;

	@Column(name = "ObjectSuaraSerakFk", insertable = false, updatable = false, nullable = false)
	private Integer suaraSerakId;

	@Column(name = "ObjectSuaraHilangFk", insertable = false, updatable = false, nullable = false)
	private Integer suaraHilangId;

	@Column(name = "ObjectSuaraCadelFk", insertable = false, updatable = false, nullable = false)
	private Integer suaraCadelId;

	@Column(name = "ObjectSuaraSengauFk", insertable = false, updatable = false, nullable = false)
	private Integer suaraSengauId;

	@Column(name = "ObjectTertelanBendaAsingFk", insertable = false, updatable = false, nullable = false)
	private Integer tertelanBendaAsingId;

	@Column(name = "ObjectTerhirupBendaAsingFk", insertable = false, updatable = false, nullable = false)
	private Integer terhirupBendaAsingId;

	@Column(name = "ObjectSariawanPadaMulutFk", insertable = false, updatable = false, nullable = false)
	private Integer sariawanPadaMulutId;

	@Column(name = "ObjectSariawanPadaLidahFk", insertable = false, updatable = false, nullable = false)
	private Integer sariawanPadaLidahId;

	@Column(name = "ObjectSariawanPadaTenggorokFk", insertable = false, updatable = false, nullable = false)
	private Integer sariawanPadaTenggorokId;

	@Column(name = "ObjectMulutBerbauFk", insertable = false, updatable = false, nullable = false)
	private Integer mulutBerbauId;

	@Column(name = "ObjectKelainanPadaBibirFk", insertable = false, updatable = false, nullable = false)
	private Integer kelainanPadaBibirId;

	@Column(name = "ObjectKelainanPadaLidahFk", insertable = false, updatable = false, nullable = false)
	private Integer kelainanPadaLidahId;

	@Column(name = "ObjectKelainanPadaMulutFk", insertable = false, updatable = false, nullable = false)
	private Integer kelainanPadaMulutId;

	@Column(name = "ObjectBenjolanPadaDaguFk", insertable = false, updatable = false, nullable = false)
	private Integer benjolanPadaDaguId;

	@Column(name = "ObjectBenjolanPadaLeherFk", insertable = false, updatable = false, nullable = false)
	private Integer benjolanPadaLeherId;

	@Column(name = "ObjectBenjolanPadaMulutFk", insertable = false, updatable = false, nullable = false)
	private Integer benjolanPadaMulutId;

	@Column(name = "ObjectKulitLeherAbnormalFk", insertable = false, updatable = false, nullable = false)
	private Integer kulitLeherAbnormalId;

	@Column(name = "ObjectBisulPadaDaguFk", insertable = false, updatable = false, nullable = false)
	private Integer bisulPadaDaguId;

	@Column(name = "ObjectBisulPadaLeherFk", insertable = false, updatable = false, nullable = false)
	private Integer bisulPadaLeherId;

	@Column(name = "ObjectTraumaPadaMulutFk", insertable = false, updatable = false, nullable = false)
	private Integer traumaPadaMulutId;

	@Column(name = "ObjectTraumaPadaLeherFk", insertable = false, updatable = false, nullable = false)
	private Integer traumaPadaLeherId;

	@Column(name = "ObjectTidurMendengkurFk", insertable = false, updatable = false, nullable = false)
	private Integer tidurMendengkurId;

	@Column(name = "ObjectSulitBernapasSaatTidurFk", insertable = false, updatable = false, nullable = false)
	private Integer sulitBernapasSaatTidurId;

	@Column(name = "ObjectNapasTerhentiSaatTidurFk", insertable = false, updatable = false, nullable = false)
	private Integer napasTerhentiSaatTidurId;

	@Column(name = "ObjectMuntahFk", insertable = false, updatable = false, nullable = false)
	private Integer muntahId;

	@Column(name = "ObjectMuntahDarahFk", insertable = false, updatable = false, nullable = false)
	private Integer muntahDarahId;

	@Column(name = "ObjectBatukDarahFk", insertable = false, updatable = false, nullable = false)
	private Integer batukDarahId;

	public PapTht getPapTht() {
		return papTht;
	}

	public void setPapTht(PapTht papTht) {
		this.papTht = papTht;
	}

	public StatusNormalTidakNormal getNyeriMenelan() {
		return nyeriMenelan;
	}

	public void setNyeriMenelan(StatusNormalTidakNormal nyeriMenelan) {
		this.nyeriMenelan = nyeriMenelan;
	}

	public String getKeteranganNyeriMenelan() {
		return keteranganNyeriMenelan;
	}

	public void setKeteranganNyeriMenelan(String keteranganNyeriMenelan) {
		this.keteranganNyeriMenelan = keteranganNyeriMenelan;
	}

	public StatusNormalTidakNormal getNyeriTenggorok() {
		return nyeriTenggorok;
	}

	public void setNyeriTenggorok(StatusNormalTidakNormal nyeriTenggorok) {
		this.nyeriTenggorok = nyeriTenggorok;
	}

	public String getKeteranganNyeriTenggorok() {
		return keteranganNyeriTenggorok;
	}

	public void setKeteranganNyeriTenggorok(String keteranganNyeriTenggorok) {
		this.keteranganNyeriTenggorok = keteranganNyeriTenggorok;
	}

	public StatusNormalTidakNormal getRasaMengganjalDiTenggorok() {
		return rasaMengganjalDiTenggorok;
	}

	public void setRasaMengganjalDiTenggorok(StatusNormalTidakNormal rasaMengganjalDiTenggorok) {
		this.rasaMengganjalDiTenggorok = rasaMengganjalDiTenggorok;
	}

	public String getKeteranganRasaMengganjalDiTenggorok() {
		return keteranganRasaMengganjalDiTenggorok;
	}

	public void setKeteranganRasaMengganjalDiTenggorok(String keteranganRasaMengganjalDiTenggorok) {
		this.keteranganRasaMengganjalDiTenggorok = keteranganRasaMengganjalDiTenggorok;
	}

	public StatusNormalTidakNormal getRasaGatalDiTenggorok() {
		return rasaGatalDiTenggorok;
	}

	public void setRasaGatalDiTenggorok(StatusNormalTidakNormal rasaGatalDiTenggorok) {
		this.rasaGatalDiTenggorok = rasaGatalDiTenggorok;
	}

	public String getKeteranganRasaGatalDiTenggorok() {
		return keteranganRasaGatalDiTenggorok;
	}

	public void setKeteranganRasaGatalDiTenggorok(String keteranganRasaGatalDiTenggorok) {
		this.keteranganRasaGatalDiTenggorok = keteranganRasaGatalDiTenggorok;
	}

	public StatusNormalTidakNormal getSulitMenelan() {
		return sulitMenelan;
	}

	public void setSulitMenelan(StatusNormalTidakNormal sulitMenelan) {
		this.sulitMenelan = sulitMenelan;
	}

	public String getKeteranganSulitMenelan() {
		return keteranganSulitMenelan;
	}

	public void setKeteranganSulitMenelan(String keteranganSulitMenelan) {
		this.keteranganSulitMenelan = keteranganSulitMenelan;
	}

	public StatusNormalTidakNormal getTidakBisaMenelan() {
		return tidakBisaMenelan;
	}

	public void setTidakBisaMenelan(StatusNormalTidakNormal tidakBisaMenelan) {
		this.tidakBisaMenelan = tidakBisaMenelan;
	}

	public String getKeteranganTidakBisaMenelan() {
		return keteranganTidakBisaMenelan;
	}

	public void setKeteranganTidakBisaMenelan(String keteranganTidakBisaMenelan) {
		this.keteranganTidakBisaMenelan = keteranganTidakBisaMenelan;
	}

	public StatusNormalTidakNormal getTersedakSaatMakanAtauMinum() {
		return tersedakSaatMakanAtauMinum;
	}

	public void setTersedakSaatMakanAtauMinum(StatusNormalTidakNormal tersedakSaatMakanAtauMinum) {
		this.tersedakSaatMakanAtauMinum = tersedakSaatMakanAtauMinum;
	}

	public String getKeteranganTersedakSaatMakanAtauMinum() {
		return keteranganTersedakSaatMakanAtauMinum;
	}

	public void setKeteranganTersedakSaatMakanAtauMinum(String keteranganTersedakSaatMakanAtauMinum) {
		this.keteranganTersedakSaatMakanAtauMinum = keteranganTersedakSaatMakanAtauMinum;
	}

	public StatusNormalTidakNormal getBatuk() {
		return batuk;
	}

	public void setBatuk(StatusNormalTidakNormal batuk) {
		this.batuk = batuk;
	}

	public String getKeteranganBatuk() {
		return keteranganBatuk;
	}

	public void setKeteranganBatuk(String keteranganBatuk) {
		this.keteranganBatuk = keteranganBatuk;
	}

	public StatusNormalTidakNormal getGangguanBernapas() {
		return gangguanBernapas;
	}

	public void setGangguanBernapas(StatusNormalTidakNormal gangguanBernapas) {
		this.gangguanBernapas = gangguanBernapas;
	}

	public String getKeteranganGangguanBernapas() {
		return keteranganGangguanBernapas;
	}

	public void setKeteranganGangguanBernapas(String keteranganGangguanBernapas) {
		this.keteranganGangguanBernapas = keteranganGangguanBernapas;
	}

	public StatusNormalTidakNormal getSuaraSerak() {
		return suaraSerak;
	}

	public void setSuaraSerak(StatusNormalTidakNormal suaraSerak) {
		this.suaraSerak = suaraSerak;
	}

	public String getKeteranganSuaraSerak() {
		return keteranganSuaraSerak;
	}

	public void setKeteranganSuaraSerak(String keteranganSuaraSerak) {
		this.keteranganSuaraSerak = keteranganSuaraSerak;
	}

	public StatusNormalTidakNormal getSuaraHilang() {
		return suaraHilang;
	}

	public void setSuaraHilang(StatusNormalTidakNormal suaraHilang) {
		this.suaraHilang = suaraHilang;
	}

	public String getKeteranganSuaraHilang() {
		return keteranganSuaraHilang;
	}

	public void setKeteranganSuaraHilang(String keteranganSuaraHilang) {
		this.keteranganSuaraHilang = keteranganSuaraHilang;
	}

	public StatusNormalTidakNormal getSuaraCadel() {
		return suaraCadel;
	}

	public void setSuaraCadel(StatusNormalTidakNormal suaraCadel) {
		this.suaraCadel = suaraCadel;
	}

	public String getKeteranganSuaraCadel() {
		return keteranganSuaraCadel;
	}

	public void setKeteranganSuaraCadel(String keteranganSuaraCadel) {
		this.keteranganSuaraCadel = keteranganSuaraCadel;
	}

	public StatusNormalTidakNormal getSuaraSengau() {
		return suaraSengau;
	}

	public void setSuaraSengau(StatusNormalTidakNormal suaraSengau) {
		this.suaraSengau = suaraSengau;
	}

	public String getKeteranganSuaraSengau() {
		return keteranganSuaraSengau;
	}

	public void setKeteranganSuaraSengau(String keteranganSuaraSengau) {
		this.keteranganSuaraSengau = keteranganSuaraSengau;
	}

	public StatusNormalTidakNormal getTertelanBendaAsing() {
		return tertelanBendaAsing;
	}

	public void setTertelanBendaAsing(StatusNormalTidakNormal tertelanBendaAsing) {
		this.tertelanBendaAsing = tertelanBendaAsing;
	}

	public String getKeteranganTertelanBendaAsing() {
		return keteranganTertelanBendaAsing;
	}

	public void setKeteranganTertelanBendaAsing(String keteranganTertelanBendaAsing) {
		this.keteranganTertelanBendaAsing = keteranganTertelanBendaAsing;
	}

	public StatusNormalTidakNormal getTerhirupBendaAsing() {
		return terhirupBendaAsing;
	}

	public void setTerhirupBendaAsing(StatusNormalTidakNormal terhirupBendaAsing) {
		this.terhirupBendaAsing = terhirupBendaAsing;
	}

	public String getKeteranganTerhirupBendaAsing() {
		return keteranganTerhirupBendaAsing;
	}

	public void setKeteranganTerhirupBendaAsing(String keteranganTerhirupBendaAsing) {
		this.keteranganTerhirupBendaAsing = keteranganTerhirupBendaAsing;
	}

	public StatusNormalTidakNormal getSariawanPadaMulut() {
		return sariawanPadaMulut;
	}

	public void setSariawanPadaMulut(StatusNormalTidakNormal sariawanPadaMulut) {
		this.sariawanPadaMulut = sariawanPadaMulut;
	}

	public String getKeteranganSariawanPadaMulut() {
		return keteranganSariawanPadaMulut;
	}

	public void setKeteranganSariawanPadaMulut(String keteranganSariawanPadaMulut) {
		this.keteranganSariawanPadaMulut = keteranganSariawanPadaMulut;
	}

	public StatusNormalTidakNormal getSariawanPadaLidah() {
		return sariawanPadaLidah;
	}

	public void setSariawanPadaLidah(StatusNormalTidakNormal sariawanPadaLidah) {
		this.sariawanPadaLidah = sariawanPadaLidah;
	}

	public String getKeteranganSariawanPadaLidah() {
		return keteranganSariawanPadaLidah;
	}

	public void setKeteranganSariawanPadaLidah(String keteranganSariawanPadaLidah) {
		this.keteranganSariawanPadaLidah = keteranganSariawanPadaLidah;
	}

	public StatusNormalTidakNormal getSariawanPadaTenggorok() {
		return sariawanPadaTenggorok;
	}

	public void setSariawanPadaTenggorok(StatusNormalTidakNormal sariawanPadaTenggorok) {
		this.sariawanPadaTenggorok = sariawanPadaTenggorok;
	}

	public String getKeteranganSariawanPadaTenggorok() {
		return keteranganSariawanPadaTenggorok;
	}

	public void setKeteranganSariawanPadaTenggorok(String keteranganSariawanPadaTenggorok) {
		this.keteranganSariawanPadaTenggorok = keteranganSariawanPadaTenggorok;
	}

	public StatusNormalTidakNormal getMulutBerbau() {
		return mulutBerbau;
	}

	public void setMulutBerbau(StatusNormalTidakNormal mulutBerbau) {
		this.mulutBerbau = mulutBerbau;
	}

	public String getKeteranganMulutBerbau() {
		return keteranganMulutBerbau;
	}

	public void setKeteranganMulutBerbau(String keteranganMulutBerbau) {
		this.keteranganMulutBerbau = keteranganMulutBerbau;
	}

	public StatusNormalTidakNormal getKelainanPadaBibir() {
		return kelainanPadaBibir;
	}

	public void setKelainanPadaBibir(StatusNormalTidakNormal kelainanPadaBibir) {
		this.kelainanPadaBibir = kelainanPadaBibir;
	}

	public String getKeteranganKelainanPadaBibir() {
		return keteranganKelainanPadaBibir;
	}

	public void setKeteranganKelainanPadaBibir(String keteranganKelainanPadaBibir) {
		this.keteranganKelainanPadaBibir = keteranganKelainanPadaBibir;
	}

	public StatusNormalTidakNormal getKelainanPadaLidah() {
		return kelainanPadaLidah;
	}

	public void setKelainanPadaLidah(StatusNormalTidakNormal kelainanPadaLidah) {
		this.kelainanPadaLidah = kelainanPadaLidah;
	}

	public String getKeteranganKelainanPadaLidah() {
		return keteranganKelainanPadaLidah;
	}

	public void setKeteranganKelainanPadaLidah(String keteranganKelainanPadaLidah) {
		this.keteranganKelainanPadaLidah = keteranganKelainanPadaLidah;
	}

	public StatusNormalTidakNormal getKelainanPadaMulut() {
		return kelainanPadaMulut;
	}

	public void setKelainanPadaMulut(StatusNormalTidakNormal kelainanPadaMulut) {
		this.kelainanPadaMulut = kelainanPadaMulut;
	}

	public String getKeteranganKelainanPadaMulut() {
		return keteranganKelainanPadaMulut;
	}

	public void setKeteranganKelainanPadaMulut(String keteranganKelainanPadaMulut) {
		this.keteranganKelainanPadaMulut = keteranganKelainanPadaMulut;
	}

	public StatusNormalTidakNormal getBenjolanPadaDagu() {
		return benjolanPadaDagu;
	}

	public void setBenjolanPadaDagu(StatusNormalTidakNormal benjolanPadaDagu) {
		this.benjolanPadaDagu = benjolanPadaDagu;
	}

	public String getKeteranganBenjolanPadaDagu() {
		return keteranganBenjolanPadaDagu;
	}

	public void setKeteranganBenjolanPadaDagu(String keteranganBenjolanPadaDagu) {
		this.keteranganBenjolanPadaDagu = keteranganBenjolanPadaDagu;
	}

	public StatusNormalTidakNormal getBenjolanPadaLeher() {
		return benjolanPadaLeher;
	}

	public void setBenjolanPadaLeher(StatusNormalTidakNormal benjolanPadaLeher) {
		this.benjolanPadaLeher = benjolanPadaLeher;
	}

	public String getKeteranganBenjolanPadaLeher() {
		return keteranganBenjolanPadaLeher;
	}

	public void setKeteranganBenjolanPadaLeher(String keteranganBenjolanPadaLeher) {
		this.keteranganBenjolanPadaLeher = keteranganBenjolanPadaLeher;
	}

	public StatusNormalTidakNormal getBenjolanPadaMulut() {
		return benjolanPadaMulut;
	}

	public void setBenjolanPadaMulut(StatusNormalTidakNormal benjolanPadaMulut) {
		this.benjolanPadaMulut = benjolanPadaMulut;
	}

	public String getKeteranganBenjolanPadaMulut() {
		return keteranganBenjolanPadaMulut;
	}

	public void setKeteranganBenjolanPadaMulut(String keteranganBenjolanPadaMulut) {
		this.keteranganBenjolanPadaMulut = keteranganBenjolanPadaMulut;
	}

	public StatusNormalTidakNormal getKulitLeherAbnormal() {
		return kulitLeherAbnormal;
	}

	public void setKulitLeherAbnormal(StatusNormalTidakNormal kulitLeherAbnormal) {
		this.kulitLeherAbnormal = kulitLeherAbnormal;
	}

	public String getKeteranganKulitLeherAbnormal() {
		return keteranganKulitLeherAbnormal;
	}

	public void setKeteranganKulitLeherAbnormal(String keteranganKulitLeherAbnormal) {
		this.keteranganKulitLeherAbnormal = keteranganKulitLeherAbnormal;
	}

	public StatusNormalTidakNormal getBisulPadaDagu() {
		return bisulPadaDagu;
	}

	public void setBisulPadaDagu(StatusNormalTidakNormal bisulPadaDagu) {
		this.bisulPadaDagu = bisulPadaDagu;
	}

	public String getKeteranganBisulPadaDagu() {
		return keteranganBisulPadaDagu;
	}

	public void setKeteranganBisulPadaDagu(String keteranganBisulPadaDagu) {
		this.keteranganBisulPadaDagu = keteranganBisulPadaDagu;
	}

	public StatusNormalTidakNormal getBisulPadaLeher() {
		return bisulPadaLeher;
	}

	public void setBisulPadaLeher(StatusNormalTidakNormal bisulPadaLeher) {
		this.bisulPadaLeher = bisulPadaLeher;
	}

	public String getKeteranganBisulPadaLeher() {
		return keteranganBisulPadaLeher;
	}

	public void setKeteranganBisulPadaLeher(String keteranganBisulPadaLeher) {
		this.keteranganBisulPadaLeher = keteranganBisulPadaLeher;
	}

	public StatusNormalTidakNormal getTraumaPadaMulut() {
		return traumaPadaMulut;
	}

	public void setTraumaPadaMulut(StatusNormalTidakNormal traumaPadaMulut) {
		this.traumaPadaMulut = traumaPadaMulut;
	}

	public String getKeteranganTraumaPadaMulut() {
		return keteranganTraumaPadaMulut;
	}

	public void setKeteranganTraumaPadaMulut(String keteranganTraumaPadaMulut) {
		this.keteranganTraumaPadaMulut = keteranganTraumaPadaMulut;
	}

	public StatusNormalTidakNormal getTraumaPadaLeher() {
		return traumaPadaLeher;
	}

	public void setTraumaPadaLeher(StatusNormalTidakNormal traumaPadaLeher) {
		this.traumaPadaLeher = traumaPadaLeher;
	}

	public String getKeteranganTraumaPadaLeher() {
		return keteranganTraumaPadaLeher;
	}

	public void setKeteranganTraumaPadaLeher(String keteranganTraumaPadaLeher) {
		this.keteranganTraumaPadaLeher = keteranganTraumaPadaLeher;
	}

	public StatusNormalTidakNormal getTidurMendengkur() {
		return tidurMendengkur;
	}

	public void setTidurMendengkur(StatusNormalTidakNormal tidurMendengkur) {
		this.tidurMendengkur = tidurMendengkur;
	}

	public String getKeteranganTidurMendengkur() {
		return keteranganTidurMendengkur;
	}

	public void setKeteranganTidurMendengkur(String keteranganTidurMendengkur) {
		this.keteranganTidurMendengkur = keteranganTidurMendengkur;
	}

	public StatusNormalTidakNormal getSulitBernapasSaatTidur() {
		return sulitBernapasSaatTidur;
	}

	public void setSulitBernapasSaatTidur(StatusNormalTidakNormal sulitBernapasSaatTidur) {
		this.sulitBernapasSaatTidur = sulitBernapasSaatTidur;
	}

	public String getKeteranganSulitBernapasSaatTidur() {
		return keteranganSulitBernapasSaatTidur;
	}

	public void setKeteranganSulitBernapasSaatTidur(String keteranganSulitBernapasSaatTidur) {
		this.keteranganSulitBernapasSaatTidur = keteranganSulitBernapasSaatTidur;
	}

	public StatusNormalTidakNormal getNapasTerhentiSaatTidur() {
		return napasTerhentiSaatTidur;
	}

	public void setNapasTerhentiSaatTidur(StatusNormalTidakNormal napasTerhentiSaatTidur) {
		this.napasTerhentiSaatTidur = napasTerhentiSaatTidur;
	}

	public String getKeteranganNapasTerhentiSaatTidur() {
		return keteranganNapasTerhentiSaatTidur;
	}

	public void setKeteranganNapasTerhentiSaatTidur(String keteranganNapasTerhentiSaatTidur) {
		this.keteranganNapasTerhentiSaatTidur = keteranganNapasTerhentiSaatTidur;
	}

	public StatusNormalTidakNormal getMuntah() {
		return muntah;
	}

	public void setMuntah(StatusNormalTidakNormal muntah) {
		this.muntah = muntah;
	}

	public String getKeteranganMuntah() {
		return keteranganMuntah;
	}

	public void setKeteranganMuntah(String keteranganMuntah) {
		this.keteranganMuntah = keteranganMuntah;
	}

	public StatusNormalTidakNormal getMuntahDarah() {
		return muntahDarah;
	}

	public void setMuntahDarah(StatusNormalTidakNormal muntahDarah) {
		this.muntahDarah = muntahDarah;
	}

	public String getKeteranganMuntahDarah() {
		return keteranganMuntahDarah;
	}

	public void setKeteranganMuntahDarah(String keteranganMuntahDarah) {
		this.keteranganMuntahDarah = keteranganMuntahDarah;
	}

	public StatusNormalTidakNormal getBatukDarah() {
		return batukDarah;
	}

	public void setBatukDarah(StatusNormalTidakNormal batukDarah) {
		this.batukDarah = batukDarah;
	}

	public String getKeteranganBatukDarah() {
		return keteranganBatukDarah;
	}

	public void setKeteranganBatukDarah(String keteranganBatukDarah) {
		this.keteranganBatukDarah = keteranganBatukDarah;
	}

}
